MITM
Delete a CA trust bundle
Delete a CA trust bundle.
DELETE
/
v2.5
/
api
/
dcf
/
trustbundle
/
{bundle_uuid}
cURL
curl -sk -X DELETE "https://${CONTROLLER}/v2.5/api/dcf/trustbundle/{bundle_uuid}" \
-H "Authorization: cid ${CID}"import requests
url = f"https://{CONTROLLER}/v2.5/api/dcf/trustbundle/{bundle_uuid}"
headers = {"Authorization": f"cid {cid}"}
response = requests.delete(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
)
func main() {
req, _ := http.NewRequest("DELETE", "https://"+controller+"/v2.5/api/dcf/trustbundle/{bundle_uuid}", nil)
req.Header.Set("Authorization", "cid "+cid)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println(resp.Status)
}{
"message": "Invalid certificate format"
}{
"message": "Invalid certificate format"
}{
"message": "Invalid certificate format"
}{
"message": "<string>"
}Was this page helpful?
⌘I
cURL
curl -sk -X DELETE "https://${CONTROLLER}/v2.5/api/dcf/trustbundle/{bundle_uuid}" \
-H "Authorization: cid ${CID}"import requests
url = f"https://{CONTROLLER}/v2.5/api/dcf/trustbundle/{bundle_uuid}"
headers = {"Authorization": f"cid {cid}"}
response = requests.delete(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
)
func main() {
req, _ := http.NewRequest("DELETE", "https://"+controller+"/v2.5/api/dcf/trustbundle/{bundle_uuid}", nil)
req.Header.Set("Authorization", "cid "+cid)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println(resp.Status)
}{
"message": "Invalid certificate format"
}{
"message": "Invalid certificate format"
}{
"message": "Invalid certificate format"
}{
"message": "<string>"
}